package com.tenlionsoft.baselib.constant;

/**
 * 作者: adam
 * 日期: 2021/11/15 - 9:32 上午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class DicIds {
    //=========================字典ID===================================
    public static final String DIC_RELATION = "4c21d91a-d5e1-4cfc-a18a-d63272763cdb";//与户主关系
    public static final String DIC_RELATION_YOUNG = "b12834a4-88d3-402c-8685-460dbb397b73";//与监护人关系
    public static final String DIC_ACCORD = "2156b4da-0be5-46d5-81c5-f1dcf0b30359";//人户是否一致
    public static final String DIC_CARD_TYPE = "76c5044f-805a-4313-b1e8-79e966b97c0d";//证件类型
    public static final String DIC_PLACE_TYPE = "aef51b83-80e0-44a8-88ba-b6bb987b3474";//场所类型

    public static final String DIC_HOUSE_TYPE = "bd3ceeb7-a523-4532-901d-5ab4046ebae3";//住所类型
    public static final String DIC_HEALTH = "6152d370-a809-4e32-8af9-e3c5f606e7f1";//健康状况
    public static final String DIC_REAR_TYPE = "40660752-9d0f-47fc-834f-5eb8e2668209";//留守人员类型
    public static final String DIC_MIGRANT_TYPE = "f05bddd7-4102-4427-ade3-b06728d049a7";//流入原因
    public static final String DIC_CASE_TYPE = "e45bbd02-35b3-4f5c-bc2e-ffd924e87abb";//案件类别
    public static final String DIC_GENDER = "4ef46940-76ab-4758-b5f0-0cbc93ffc660";//性别
    public static final String DIC_AREA_TYPE = "ba1d92aa-552c-4a45-b376-6ee7e5d33ab9";//涉及区域类型
    public static final String DIC_EXTRUDE = "b356002b-7f51-4dd6-9f22-d517ea8a7671";// 治安突出问题
    public static final String DIC_ASSESS = "758de083-4a46-408e-9d37-7c5ab03d956a";// 评估效果

    public static final String DIC_NATIONALITY = "1c9098f8-155a-453e-8766-51d8df1556b3";//国籍
    public static final String DIC_FAITH = "792e5742-d302-4943-b04c-161f406ea7ca";//宗教信仰
    public static final String DIC_WORK_TYPE = "5867642c-2b79-4bea-adc9-477a5b784159";//职业类别
    public static final String DIC_NATION = "a981579c-572b-4fd1-8e76-5d17df97f6a4";//名族
    public static final String DIC_MARRIAGE = "91bdd01b-e9d2-4a2b-98b5-45e25d3cd8ae";//婚姻状况
    public static final String DIC_POLITICS = "b2c96de0-3df8-41db-99b1-bc4e24ac6c24";//政治面貌

    public static final String DIC_EDU = "d6b9f026-6ea9-456a-b48b-0c18d502523b";//学历
    public static final String DIC_TREAT = "ed085b3e-25c1-43fe-9d42-77510ee89d58";//治疗情况
    public static final String DIC_DIAGNOSE = "c355af47-ee1d-415c-b9d3-66befa6d726b";//目前诊断类型
    public static final String DIC_LEVEL = "01626087-e8da-4006-9662-20771d3682ce";//目前评估登记
    public static final String DIC_ECONOMY = "459b08af-dec7-410a-9c5e-77537e3c9eee";//家庭经济情况
    public static final String DIC_MANGER = "b79d4bf8-852a-4002-80fd-6b68d9a4822a";//参与管理人员
    public static final String DIC_HELP = "f8a5c55a-80b7-4eab-acaf-556af87e46c9";//帮扶情况
    public static final String DIC_IN_HOSPITAL = "4d7c73db-fc8c-42ba-ac5b-c91194ba241e";//实施住院医疗原因
    public static final String DIC_CHARGE = "cbb5f8a8-595c-4df4-b38e-7cbb715f754f";//罪名
    public static final String DIC_RISK = "a12c7d7d-f5f6-4d2a-b665-5455343dcfc4";//危险评估类型
    public static final String DIC_LINK_UP = "00459ab2-dc11-4666-9d72-ac43bde45767";//衔接情况
    public static final String DIC_AFTERCARE = "fb78b0f8-5a9b-4933-8372-03f8348ec4c2";//安置情况
    public static final String DIC_CONTROL = "1d2accca-8475-4ed5-992e-5d55df05eedf";//管控情况
    public static final String DIC_DRUG_CAUSE = "85d73246-d5b8-4e25-b2a2-97f99467a88a";//吸毒原因
    public static final String DIC_DRUG_AFTER = "571c17af-27aa-40ee-84ad-837c67ba7d78";//吸毒后果
    public static final String DIC_INFECT_WAY = "36c7c7d0-da63-4b3d-add8-f00e5217e344";//感染途径
    public static final String DIC_ADMISSION = "e9c8f2fa-03ca-4b62-aca5-4c136cd3fd12";//收治情况
    public static final String DIC_ATTENTION = "75d635fb-9828-45c4-83bb-b6888923086e";//关注类型

    public static final String DIC_CORRECT = "2b9d375d-f48b-4dae-b385-b8dabf06a8f9";//矫正类别
    public static final String DIC_INCEPT = "2ed3c6ea-0ce3-46a0-aff2-a45b756eee29";//接收方式
    public static final String DIC_UNCHAIN = "3f183d3a-ec08-4562-bc2f-ec4a21793fce";//解除方式
    public static final String DIC_FOUR = "6f5fc00e-dfe2-4c7a-bb7b-114d54ad6fb8";//四史
    public static final String DIC_THREE = "34aefb4b-5918-4de7-a6b8-8e361f76c557";//三涉
    public static final String DIC_GROUP = "b30da878-2576-4e70-8a39-4eeee5ad9983";//小组组成

    public static final String DIC_REGISTER_TYPE = "0c0ece03-8256-4ddb-bb67-75df7f12807a";//登记注册类型
    public static final String DIC_HOLDING_TYPE = "171b5ede-dce7-4b84-9cc8-0904c8b7c6fa";//控股类型
    public static final String DIC_DEAL_SOCPE = "434e9e8a-ed19-4682-876c-7fd0e31f62be";//经营范围
    public static final String DIC_COMPANY_TYPE = "59b780b2-d230-49d5-b793-33ff660a58bf";//企业类型
    public static final String DIC_PURPOSE = "260a2bef-cb7d-47b2-864e-95c4581c6b71";//来华目的
    public static final String DIC_HELP_TYPE = "68a287f8-2f37-4ba3-a9fc-50dcb6ed366a";//帮扶手段
    public static final String DIC_FAMILY_STATE = "4bc7e70d-e431-40f1-af55-aee3a3467035";//家庭情况
    public static final String DIC_PERSON_TYPE = "eda39bf4-078d-4d12-8fbe-aa0648cb723e";//主要当事人人员类型(编码表-5.57)

    public static final String DIC_SCHOOL_TYPE = "e5624543-4f8e-4550-a8e8-49235f23b287";//学校办学类型
    public static final String DIC_HARM_LEVEL = "ac006130-7403-40ef-b647-e89bb8cce631";//周边重点人员危害程度
    public static final String DIC_CASE_NATURE = "28794721-09bb-4f64-920f-4d8eed02fbb3";//案件性质

    public static final String DIC_CONCERN = "6f046742-7399-4c57-bfe2-d159470f4b45";//关注程度
    public static final String DIC_ORG_TYPE = "9041ffbf-6fb6-4a0d-909b-92aff2d0f432";//社会组织类型
    public static final String DIC_DANGER_TYPE = "c15f10cf-0e92-46b9-b5ba-98f6ebc1701e";//安全隐患类型
    public static final String DIC_ENTERPRISE_TYPE = "5b50ab4c-70b1-47e8-a3a7-ab279f73b87d";//企业类型
    public static final String DIC_CAR_TYPE = "8e696099-0bda-4f29-9c60-9449a8c89bf5";//车辆类型

    public static final String DID_SERVICE_AREA = "761d8633-3c2f-4e92-b32d-fb50d3dc07b7";//服务区域
    public static final String DID_SERVICE_TYPE = "a223b308-014a-4e89-93fa-035a564e7fda";//服务类别
    public static final String DID_SERVICE_DOMAIN = "7b213c37-8575-4db3-bda1-86c4e38589f7";//服务领域或行业
    public static final String DID_VOCATION_ID = "3a2a6615-a4fe-465b-b56d-a2b7ae409b9d";//职业
    public static final String DIC_COMMUNITY_TYPE = "";//字典小区类型

    public static final String DID_KNOW_SUBJECT = "8fac6d6a-ead5-4e1e-a9b2-b4201269a1a3";//知识库知识主题
    public static final String DIC_LINE_TYPE = "e5878be6-46f9-4c66-bec1-12bee1b798ac";//线路类型
    public static final String DIC_SECURITY_LEVEL = "318d7755-bc2b-4a4f-a029-84baafec5fbc";//治安隐患等级


    public static final String DIC_MEETING_ROOM_TYPE = "7c33ed26-4e0c-4415-aed8-60398bc63aba";//会议室类型
    public static final String DIC_MEETING_TYPE = "35754280-a245-4883-abd9-4c4bebbb1e07";//会议类型
}
