package com.tenlionsoft.baselib.constant;

/**
 * 作者: adam
 * 日期: 2021/11/15 - 1:32 下午
 * 邮箱: itgaojian@163.com
 * 描述: actions
 */
public class LionActions {
    /*======常量=======*/
    public static final int WAIT = 1;//等待中
    public static final int LOAD = 2;//下载中
    public static final int FINISH = 3;//下载完成
    public static final int FAIL = 4;//下载失败
    public static final int NONE = 5;//文件不存在
    public static final int DIDNOT = 6;//未下载
    public static final int REQUEST_CODE_AC = 20000;
    public static final int REQUEST_CODE_FRAG = 19999;
    public static final int RESPONSE_CODE = 20001;
    public static final int STATE_NET_NON = 0x123;//没有网络
    public static final int STATE_LOAD = 0x124;//加载中
    public static final int STATE_EMPTY = 0x125;//没有数据
    public static final int STATE_ERROR = 0x126;//加载失败
    public static final int STATE_SUCCESS = 0x127;//加载成功


    /*========key========*/
    public static final String EXTRA_PUSH_MSG = "key_push_msg";
    public static final String EXTRA_MSG_TYPE = "key_push_msg_type";
    public static final String EXTRA_MSG_CONF_ID = "key_push_msg_conf_id";
    public static final String EXTRA_MSG_CONF_PWD = "key_push_msg_conf_pwd";

    public static final String EXTRA_MO = "isOutgoing";//是否
    public static final String EXTRA_TARGET = "targetId";//通话对方的userId
    public static final String EXTRA_AUDIO_ONLY = "audioOnly";
    public static final String EXTRA_USER_NAME = "userName";
    public static final String EXTRA_FROM_FLOATING_VIEW = "fromFloatingView";

    /*=========Action==========*/
    public static final String ACTION_PUSH_MSG_ACTIVITY = "com.tenlionsoft.pushMsg";//隐式启动推送的activity
    public static final String ACTION_CATEGORY_CALL = "android.intent.category.calllink";

    public static final String ACTION_PUSH_MSG_DISPOSE = "com.tenlionsoft.pushMsgDispose";//处理推送过来的消息
    public static final String ACTION_VOIP_RECEIVER = "com.tenlionsoft.action_";//socket广播
    public static final String KEY_USERNAME = "hwUserName";
    public static final String KEY_USERPWD = "hwUserPwd";


    public static final String ACTION_DOWNLOAD_ADD_QUEUE = "com.tenlionsoft.policefood.download_add_queue";//广播发送下载的信息
    public static final String ACTION_DOWNLOAD_REMOVE_QUEUE = "com.tenlionsoft.policefood.download_remove_queue";//移除下载
    public static final String ACTION_DOWNLOAD_DOWN_PAUSE = "com.tenlionsoft.policefood.download_pause_queue";//暂停下载
    public static final String ACTION_DOWNLOAD_DOWN_CONTINUE = "com.tenlionsoft.policefood.download_continue";//继续下载
    public static final String ACTION_DOWNLOAD_NOTIFY_PROGRESS = "com.tenlionsoft.policefood.download_notify_progress";//下载进度
    public static final String ACTION_DOWNLOAD_DOWN_FINISH = "com.tenlionsoft.policefood.download_finish";//下载完成
    public static final String ACTION_DOWNLOAD_DOWN_FAIlED = "com.tenlionsoft.policefood.download_failed";//下载失败

}
