package com.tenlionsoft.baselib.constant;

import android.os.Environment;

import java.io.File;

/**
 * 作者 : Adam on 2018/10/15.
 * 邮箱 : itgaojian@163.com
 * 描述 : 配置路由跳转的路径
 */
public class PathConfig {

    public static final String PROVIDER_URL = "content://com.tenlionsoft.oasystem.content_provider";//内容提供者url
    public static final String BASE_LAYER = "http://support.supermap.com.cn:8090/iserver/services/map-china400/rest/maps/China";//地图基础图层
    public static final int CRS = 4326;//坐标系

    /*===========================================*/
    public static final String ACTION_UNREGISTER_BROAD = "com.tengshisoft.city-governace.unregister_broad";
    public static final String ACTION_REGISTER_BROAD = "com.tengshisoft.city-governace.register_broad";
    public static final String ACTION_FROM_SOCKET_PUSH_MSG = "com.tengshisoft.city-governace.push_msg";//系统推送来的消息  根据 推送过来的消息 分为三类  系统消息类  通知类  聊天类 根据type来判断
    public static final String ACTION_SOCKET_RELINK = "com.tenglionsoft.city-governance.socket_relink";//socket重连
    public static final String ACTION_MSG_CHAT = "com.tenglionsoft.city-governance.chat_msg";//聊天消息
    public static final String ACTION_MSG_CHAT_SEND = "com.tenglion.city-governance.chat_send";//发送聊天信息
    public static final String ACTION_MSG_CHAT_REFRESH = "com.tenglionsoft.city-governance.MSG_REFRESH";//刷新聊天信息状态
    public static final String ACTION_MSG_SOCKET_FAIL = "com.tenglionsoft.city-governance.chat_socket_fail";//socket连接失败
    public static final String ACTION_PUSH_UPCOMING_BY_SYS = "com.tenglionsoft.city-governance.push_sys_upcoming";//系统待办通知
    public static final String ACTION_MSG_UPCOMING_BY_USER = "com.tenglionsoft.city-governance.by_user_upcoming";//待办点击
    public static final String ACTION_MSG_UPCOMING_INITIATIVE = "com.tenglionsoft.city-governance.by_user_initiative";//用户主动获取待办信息
    public static final String ACTION_PUSH_RESTART_SOCKET = "com.tengshisoft.city-governance.push_restart";//重新登录socket
    public static final String ACTION_PUSH_STOP_SOCKET = "com.tengshisoft.city-governance.push_stop";//关闭socket
    public static final String ACTION_ONE_PIXE_FINISH_ACTIVITY = "com.tengshisoft.city-governance.finish_one_pixe_activity";//关闭activity
    public static final String ACTION_SCREEN_ON = "com.tengshisoft.city-governance.screen_on";//屏幕关闭
    public static final String ACTION_SCREEN_OFF = "com.tengshisoft.city-governance.screen_off";//屏幕开启
    public static final String ACTION_SYSTEM_MESSAGE = "com.sucstepsoft.hs.message";
    public static final String ACTION_LOCATION_MESSAGE = "com.sucstepsoft.city-governance.MESSAGE_RECEIVED_ACTION";
    public static final String ACTION_PUNCH_TIME_MESSAGE = "com.sucstepsoft.city-governance.MESSAGE_PUNCH_ACTION";
    public static final String ACTION_IS_UPLOAD_LOCATION = "com.sucstepsoft.city-governance.is.upload";
    public static final String ACTION_STOP_LOCATION = "com.sucstepsoft.city-governance.stop_listener";
    public static final String ACTION_START_LOCATION = "com.sucstepsoft.city-governance.start_listener";
    public static final String ACTION_CALL_MSG = "com.tenlionsoft.call_msg";
    public static final String ACTION_NOTIFY_CONTACT_LOGIN = "com.tengshisoft.city-governance.notify_login";//通知对方登录
    public static final String ACTION_NOTIFY_CONTACT_LOGIN_SUCCESS = "com.tengshisoft.city-governance.notify_login_success";//对方登录成功
    public static final String ACTION_NOTIFY_CONTACT_LOGIN_FAIL = "com.tengshisoft.city-governance.notify_login_failed";//对方登录不成功
    public static final String ACTION_CALL_OTHER_NO_SUPPORT = "com.tengshisoft.city-governance.call_other_no_support";//对方手机不支持视频语音通话
    public static final String ACTION_USER_OFFLINE = "com.tengshisoft.city-governance.user_offline";//用户不在线

    public static final String ACTION_CALL_LOGIN_FAIL = "com.tengshisoft.city-governance.call_login_local_fail";//本地登录失败
    public static final String ACTION_CALL_LOGIN_SUCCESS = "com.tengshisoft.city-governance.call_login_local_success";//本地登录成功
    public static final String ACTION_CALL_LOGIN_OUT = "com.tengshisoft.city-governance.call_login_local_loginout";//通知本地退出登录
    public static final String ACTION_CALL_LOCAL_PHONE_NO_SUPPORT = "com.tengshisoft.city-governance.call_login_local_no.support";//本地通知手机不支持通话
    public static final String ACTION_NET_CHANGE = "android.net.conn.CONNECTIVITY_CHANGE";//网络状态变化
    public static final String ACTION_LOCAL_LOGIN = "com.tengshisoft.gridclient.login";//本地融合通信手动登录
    public static final String ACTION_LOCAL_LOGINOUT = "com.tengshisoft.gridclient.loginout";//本地融合通信手动退出
    //=============================主页按钮模块类型===========================
    public static final String SECRET = "CMXX_TOKEN_INFOS";//秘钥
    public static final String SOCKET_MSG_SECRET = "SocKEtsEcReT_KeY";//消息秘钥
    public static final String PROJECT_NAME = "city-governance";/* ===项目名称==*/
    public static final String PROJECT_NAME_CH = "市域治理";


    public static final String USER_TYPE_LEADER = "b01dac8e-c516-4974-b513-f1352ca40202";
    public static final String USER_TYPE_GRID = "90675eba-e63e-4819-b45d-2c99ab78a278";//网格员角色
    public static final String USER_TYPE_CENTER = "bc405346-8714-4ded-89ac-9cc4d755f66a";
    public static final String USER_TYPE_DEPT = "6ac90f36-caa0-4273-9489-4d0197124c33";


    public static final String DEFAULT_AREA_CODE = "0";//地区
    public static final String PLACE_TYPE_ID = "df8b758c-f6d8-465a-9aa8-c451fde47076";//场馆类型字典
    public static final String CITY_DEFAULT_CODE = "640675";
    public static final String CITY_DEFAULT_NAME = "日喀则市";
    public static final int CITY_DEFAULT_LEVEL = 3;
    public static final String DID_CITY_CODE = "640675";//日喀则市编码
    public static final boolean IS_SECRET = false;//websocket 是否信息是否加密


    public static final String DEFAULT_AREA_1 = "99537";//默认一级地区  内蒙古
    public static final String DEFAULT_AREA_2 = "110889";//默认二级地区  乌兰察布
    public static final String DEFAULT_AREA_1_Name = "内蒙古自治区";
    public static final String DEFAULT_AREA_2_Name = "乌兰察布市";
    public static final String DEFAULT_AREA_1_CODE = "150000000000";
    public static final String DEFAULT_AREA_2_CODE = "150900000000";
    public static final double DEFAULT_LAT = 40.98896497581636;//默认纬度
    public static final double DEFAULT_LNG = 113.11412662267688;//默认经度
    public static final double DEFAULT_BD_LAT = 40;//默认百度中心点
    public static final double DEFAULT_BD_LNG = 113;//默认百度中心点
    public static final int DEFAULT_ZOOM = 15;//地图默认缩放

    public static final boolean IS_CONVER = false;//是否转换坐标


    //    区直领导：b01dac8e-c516-4974-b513-f1352ca40202
//    片长：e483f019-d971-49ac-b5fa-3314220da703
//    N员：bc405346-8714-4ded-89ac-9cc4d755f66a
//    巡检：25affe67-134c-4a32-ba41-64b0cfedc782
    public static final int PATROL_SECTOR_INDEX = 3;//巡更点NFC使用的扇区
    public static final String CATCH_PATH = Environment.getExternalStorageDirectory().getPath() + File.separator + PROJECT_NAME + File.separator + "cache" + File.separator;
    public static final String VIDEO_PATH = Environment.getExternalStorageDirectory().getPath() + File.separator + PROJECT_NAME + File.separator + "videoCache" + File.separator;
    public static final String PROJECT_CATCH_PATH = Environment.getExternalStorageDirectory().getPath() + File.separator + PROJECT_NAME;//项目缓存目录
    public static final String IDENTITY_FILE = VIDEO_PATH + "identity.txt";
    /**
     * ====================================主模块===================================
     */
    public static final String PATH_MODULE_MAIN_HOME = "/modulemain/activity/main";//首页
    public static final String PATH_MODULE_MAIN_PLAN = "/modulemain/activity/planMap";
    public static final String PATH_MODULE_MAIN_LOGIN = "/modulemain/activity/login";//登录
    public static final String PATH_MODULE_MAIN_FRAGMENT_MAIN = "/modulemain/fragment/main";//首页fragment
    public static final String PATH_MODULE_MAIN_SPLASH = "/modulemain/activity/splash";//闪屏页面
    public static final String PATH_MODULE_MAIN_NAVIGATION_HOME = "/modulemain/activity/home";//底部tab首页

    public static final String PATH_MODULE_MAIN_FRAGMENT_GRID = "/modulemain/fragment/grid";//网格员模块
    public static final String PATH_MODULE_MAIN_FRAGMENT_SUPERVISION = "/modulemain/fragment/supervision";//监管模块
    public static final String PATH_MODULE_MAIN_FRAGMENT_LEADER = "/modulemain/fragment/leader";//领导l模块
    public static final String PATH_MODULE_MAIN_FRAGMENT_USER = "/modulemain/fragment/user";


    //====================Player=======================
    public static final String PATH_MODULE_PLAYER_SIMPLE_VIDEO = "/moduleplayer/activity/simpleplayer";//单纯播放器

    /*============================公共模块=============================*/
    public static final String PATH_MODULE_COMMON_ACTIVITY_USER_CENTER = "/modulecommon/activity/userCenter";//用户中心activity
    public static final String PATH_MODULE_COMMON_FRAGMENT_USER_CENTER = "/modulecommon/fragment/userCenter";//用户中心fragment
    public static final String PATH_MODULE_BASELIB_SHOW_IMG = "/modulebaselib/activity/showImg";//浏览图片
    public static final String PATH_MODULE_BASELIB_TAKE_PHOTO = "/modulebaselib/activity/takePhotoOrVideo";//摄像或拍照


    public static final String PATH_MODULE_COMMON_ACTIVITY_FORGET_PWD = "/modulecommon/activity/forgetPassword";//忘记密码

    /*================OA===============*/
    public static final String PATH_MODULE_OA_FRAGMENT_HOME = "/oamodule/fragment/home";//oa首页
    public static final String PATH_MODULE_OA_FRAGMENT_DOC = "/oamodule/fragment/document";//文档
    public static final String PATH_MODULE_OA_FRAGMENT_EMAIL = "/oamodule/fragment/email";//邮件
    public static final String PATH_MODULE_OA_FRAGMENT_MINE = "/oamodule/fragment/mine";//我的

    public static final String PATH_MODULE_OA_ACTIVITY_SEL_PERSON = "/oamodule/activity/choosePerson";//选择人员
    public static final String PATH_MODULE_OA_ACTIVITY_SEL_DRIVER = "/oamodule/activity/chooseDriver";//选择驾驶员
    public static final String PATH_MODULE_OA_ACTIVITY_SEL_CAR = "/oamodule/activity/chooseCar";//选择使用车辆


    public static final String PATH_MODULE_OA_ACTIVITY_DOCUMENT = "/oamodule/activity/documentCenter";//文档中心
    public static final String PATH_MODULE_OA_ACTIVITY_DOCUMENT_ADD = "/oamodule/activity/documentAdd";//文档上传
    public static final String PATH_MODULE_OA_ACTIVITY_DOCUMENT_EDIT = "/oamodule/activity/documentEdit";//文档编辑
    public static final String PATH_MODULE_OA_ACTIVITY_DOCUMENT_DETAIL = "/oamodule/activity/documentDetail";//文档上传


    public static final String PATH_MODULE_OA_ACTIVITY_EMAIL = "/oamodule/activity/emailManage";//邮件管理
    public static final String PATH_MODULE_OA_ACTIVITY_NOTICE = "/oamodule/activity/announce";//通知公告
    public static final String PATH_MODULE_OA_ACTIVITY_SCHEDULE = "/oamodule/activity/scheduleManage";//日程管理

    public static final String PATH_MODULE_OA_ACTIVITY_CAR = "/oamodule/activity/carManage";//用车管理
    public static final String PATH_MODULE_OA_ACTIVITY_CAR_ADD = "/oamodule/activity/carAdd";//用车申请发起
    public static final String PATH_MODULE_OA_ACTIVITY_CAR_RECORD_DETAIL = "/oamodule/activity/carRecordDetail";//用车申请详情
    public static final String PATH_MODULE_OA_ACTIVITY_CAR_RECORD_EDIT = "/oamodule/activity/carRecordEdit";//用车申请编辑


    public static final String PATH_MODULE_OA_ACTIVITY_MEETING = "/oamodule/activity/meeting";//会议管理
    public static final String PATH_MODULE_OA_ACTIVITY_MEETING_APPLY = "/oamodule/activity/meetingApply";//申请会议
    public static final String PATH_MODULE_OA_ACTIVITY_MEETING_DETAIL = "/oamodule/activity/meetingDetail";//会议详情

    public static final String PATH_MODULE_OA_FRAGMENT_JOIN_MEETING = "/oamodule/fragment/joinMeeting";//参加会议
    public static final String PATH_MODULE_OA_FRAGMENT_EMCEE_MEETING = "/oamodule/fragment/emceeMeeting";//主持会议
    public static final String PATH_MODULE_OA_FRAGMENT_MINE_APPLY_MEETING = "/oamodule/fragment/mineApplyMeeting";//我发起的会议
    public static final String PATH_MODULE_OA_ACTIVITY_SEL_MEETING_ROOM = "/oamodule/activity/selMeetingRoom";//选择会议室
    public static final String PATH_MODULE_OA_ACTIVITY_MEETING_MINE_APPLY = "/oamodule/activity/mineMeetingList";//我发起的会议


    public static final String PATH_MODULE_OA_ACTIVITY_ROUTINE_WORK = "/oamodule/activity/routineWork";//日常工作需要我办理的

    public static final String PATH_MODULE_OA_ACTIVITY_ROUTINE_WORK_MINE_LAUNCH_LIST = "/oamodule/activity/mineLaunchRoutineWork";//我发起的日常工作列表

    public static final String PATH_MODULE_OA_ACTIVITY_ROUTINE_WORK_MINE_LAUNCH_ADD = "/oamodule/activity/mineLaunchRoutineWorkAdd";//发起的日常工作
    public static final String PATH_MODULE_OA_ACTIVITY_ROUTINE_WORK_MINE_LAUNCH_DETAIL = "/oamodule/activity/mineLaunchRoutineWorkDetail";//我发起的日常工作详情
    public static final String PATH_MODULE_OA_ACTIVITY_ROUTINE_WORK_MINE_LAUNCH_EDIT = "/oamodule/activity/mineLaunchRoutineWorkEdit";//我发起的日常工作编辑

    public static final String PATH_MODULE_OA_ACTIVITY_WORK_REPORT = "/oamodule/activity/workReport";//工作报告
    public static final String PATH_MODULE_OA_ACTIVITY_SUPERVISE = "/oamodule/activity/supervise";//督办事项
}
