package com.tenlionsoft.baselib.core.beans;

import java.util.List;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2021/10/28 - 9:12 上午
 * 邮箱: itgaojian@163.com
 * 描述: 部门表
 */
@Entity(tableName = "db_dept")
public class DeptDatabaseBean {
    @NonNull
    @PrimaryKey(autoGenerate = true)
    private int id;

    @ColumnInfo(name = "departmentAddress")
    private String departmentAddress;
    @ColumnInfo(name = "departmentArea1Code")
    private String departmentArea1Code;
    @ColumnInfo(name = "departmentArea1Id")
    private String departmentArea1Id;
    @ColumnInfo(name = "departmentArea1Name")
    private String departmentArea1Name;
    @ColumnInfo(name = "departmentArea2Code")
    private String departmentArea2Code;
    @ColumnInfo(name = "departmentArea2Id")
    private String departmentArea2Id;
    @ColumnInfo(name = "departmentArea2Name")
    private String departmentArea2Name;
    @ColumnInfo(name = "departmentArea3Code")
    private String departmentArea3Code;
    @ColumnInfo(name = "departmentArea3Id")
    private String departmentArea3Id;
    @ColumnInfo(name = "departmentArea3Name")
    private String departmentArea3Name;
    @ColumnInfo(name = "departmentArea4Code")
    private String departmentArea4Code;
    @ColumnInfo(name = "departmentArea4Id")
    private String departmentArea4Id;
    @ColumnInfo(name = "departmentArea4Name")
    private String departmentArea4Name;
    @ColumnInfo(name = "departmentArea5Code")
    private String departmentArea5Code;
    @ColumnInfo(name = "departmentArea5Id")
    private String departmentArea5Id;
    @ColumnInfo(name = "departmentArea5Name")
    private String departmentArea5Name;
    @ColumnInfo(name = "departmentCode")
    private String departmentCode;
    @ColumnInfo(name = "departmentDuty")
    private String departmentDuty;
    @ColumnInfo(name = "departmentFax")
    private String departmentFax;
    @ColumnInfo(name = "departmentId")
    private String departmentId;
    @ColumnInfo(name = "departmentIntId")
    private int departmentIntId;
    @ColumnInfo(name = "departmentLatitude")
    private String departmentLatitude;
    @ColumnInfo(name = "departmentLogo")
    private int departmentLogo;
    @ColumnInfo(name = "departmentLogoHover")
    private int departmentLogoHover;
    @ColumnInfo(name = "departmentLongitude")
    private String departmentLongitude;
    @ColumnInfo(name = "departmentMaster")
    private String departmentMaster;
    @ColumnInfo(name = "departmentMasterName")
    private String departmentMasterName;
    @ColumnInfo(name = "departmentName")
    private String departmentName;
    @ColumnInfo(name = "departmentNameEn")
    private String departmentNameEn;
    @ColumnInfo(name = "departmentNameOther")
    private String departmentNameOther;
    @ColumnInfo(name = "departmentNo")
    private String departmentNo;
    @ColumnInfo(name = "departmentOrder")
    private String departmentOrder;
    @ColumnInfo(name = "departmentParentId")
    private String departmentParentId;
    @ColumnInfo(name = "departmentParentName")
    private String departmentParentName;
    @ColumnInfo(name = "departmentState")
    private int departmentState;
    @ColumnInfo(name = "departmentSummary")
    private String departmentSummary;
    @ColumnInfo(name = "departmentTel")
    private String departmentTel;
    @ColumnInfo(name = "departmentType")
    private int departmentType;


    @Ignore
    private List<DeptDatabaseBean> subDepartments;


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


    public String getDepartmentAddress() {
        return departmentAddress;
    }

    public void setDepartmentAddress(String departmentAddress) {
        this.departmentAddress = departmentAddress;
    }

    public String getDepartmentArea1Code() {
        return departmentArea1Code;
    }

    public void setDepartmentArea1Code(String departmentArea1Code) {
        this.departmentArea1Code = departmentArea1Code;
    }

    public String getDepartmentArea1Id() {
        return departmentArea1Id;
    }

    public void setDepartmentArea1Id(String departmentArea1Id) {
        this.departmentArea1Id = departmentArea1Id;
    }

    public String getDepartmentArea1Name() {
        return departmentArea1Name;
    }

    public void setDepartmentArea1Name(String departmentArea1Name) {
        this.departmentArea1Name = departmentArea1Name;
    }

    public String getDepartmentArea2Code() {
        return departmentArea2Code;
    }

    public void setDepartmentArea2Code(String departmentArea2Code) {
        this.departmentArea2Code = departmentArea2Code;
    }

    public String getDepartmentArea2Id() {
        return departmentArea2Id;
    }

    public void setDepartmentArea2Id(String departmentArea2Id) {
        this.departmentArea2Id = departmentArea2Id;
    }

    public String getDepartmentArea2Name() {
        return departmentArea2Name;
    }

    public void setDepartmentArea2Name(String departmentArea2Name) {
        this.departmentArea2Name = departmentArea2Name;
    }

    public String getDepartmentArea3Code() {
        return departmentArea3Code;
    }

    public void setDepartmentArea3Code(String departmentArea3Code) {
        this.departmentArea3Code = departmentArea3Code;
    }

    public String getDepartmentArea3Id() {
        return departmentArea3Id;
    }

    public void setDepartmentArea3Id(String departmentArea3Id) {
        this.departmentArea3Id = departmentArea3Id;
    }

    public String getDepartmentArea3Name() {
        return departmentArea3Name;
    }

    public void setDepartmentArea3Name(String departmentArea3Name) {
        this.departmentArea3Name = departmentArea3Name;
    }

    public String getDepartmentArea4Code() {
        return departmentArea4Code;
    }

    public void setDepartmentArea4Code(String departmentArea4Code) {
        this.departmentArea4Code = departmentArea4Code;
    }

    public String getDepartmentArea4Id() {
        return departmentArea4Id;
    }

    public void setDepartmentArea4Id(String departmentArea4Id) {
        this.departmentArea4Id = departmentArea4Id;
    }

    public String getDepartmentArea4Name() {
        return departmentArea4Name;
    }

    public void setDepartmentArea4Name(String departmentArea4Name) {
        this.departmentArea4Name = departmentArea4Name;
    }

    public String getDepartmentArea5Code() {
        return departmentArea5Code;
    }

    public void setDepartmentArea5Code(String departmentArea5Code) {
        this.departmentArea5Code = departmentArea5Code;
    }

    public String getDepartmentArea5Id() {
        return departmentArea5Id;
    }

    public void setDepartmentArea5Id(String departmentArea5Id) {
        this.departmentArea5Id = departmentArea5Id;
    }

    public String getDepartmentArea5Name() {
        return departmentArea5Name;
    }

    public void setDepartmentArea5Name(String departmentArea5Name) {
        this.departmentArea5Name = departmentArea5Name;
    }

    public String getDepartmentCode() {
        return departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentDuty() {
        return departmentDuty;
    }

    public void setDepartmentDuty(String departmentDuty) {
        this.departmentDuty = departmentDuty;
    }

    public String getDepartmentFax() {
        return departmentFax;
    }

    public void setDepartmentFax(String departmentFax) {
        this.departmentFax = departmentFax;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public int getDepartmentIntId() {
        return departmentIntId;
    }

    public void setDepartmentIntId(int departmentIntId) {
        this.departmentIntId = departmentIntId;
    }

    public String getDepartmentLatitude() {
        return departmentLatitude;
    }

    public void setDepartmentLatitude(String departmentLatitude) {
        this.departmentLatitude = departmentLatitude;
    }

    public int getDepartmentLogo() {
        return departmentLogo;
    }

    public void setDepartmentLogo(int departmentLogo) {
        this.departmentLogo = departmentLogo;
    }

    public int getDepartmentLogoHover() {
        return departmentLogoHover;
    }

    public void setDepartmentLogoHover(int departmentLogoHover) {
        this.departmentLogoHover = departmentLogoHover;
    }

    public String getDepartmentLongitude() {
        return departmentLongitude;
    }

    public void setDepartmentLongitude(String departmentLongitude) {
        this.departmentLongitude = departmentLongitude;
    }

    public String getDepartmentMaster() {
        return departmentMaster;
    }

    public void setDepartmentMaster(String departmentMaster) {
        this.departmentMaster = departmentMaster;
    }

    public String getDepartmentMasterName() {
        return departmentMasterName;
    }

    public void setDepartmentMasterName(String departmentMasterName) {
        this.departmentMasterName = departmentMasterName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentNameEn() {
        return departmentNameEn;
    }

    public void setDepartmentNameEn(String departmentNameEn) {
        this.departmentNameEn = departmentNameEn;
    }

    public String getDepartmentNameOther() {
        return departmentNameOther;
    }

    public void setDepartmentNameOther(String departmentNameOther) {
        this.departmentNameOther = departmentNameOther;
    }

    public String getDepartmentNo() {
        return departmentNo;
    }

    public void setDepartmentNo(String departmentNo) {
        this.departmentNo = departmentNo;
    }

    public String getDepartmentOrder() {
        return departmentOrder;
    }

    public void setDepartmentOrder(String departmentOrder) {
        this.departmentOrder = departmentOrder;
    }

    public String getDepartmentParentId() {
        return departmentParentId;
    }

    public void setDepartmentParentId(String departmentParentId) {
        this.departmentParentId = departmentParentId;
    }

    public String getDepartmentParentName() {
        return departmentParentName;
    }

    public void setDepartmentParentName(String departmentParentName) {
        this.departmentParentName = departmentParentName;
    }

    public int getDepartmentState() {
        return departmentState;
    }

    public void setDepartmentState(int departmentState) {
        this.departmentState = departmentState;
    }

    public String getDepartmentSummary() {
        return departmentSummary;
    }

    public void setDepartmentSummary(String departmentSummary) {
        this.departmentSummary = departmentSummary;
    }

    public String getDepartmentTel() {
        return departmentTel;
    }

    public void setDepartmentTel(String departmentTel) {
        this.departmentTel = departmentTel;
    }

    public int getDepartmentType() {
        return departmentType;
    }

    public void setDepartmentType(int departmentType) {
        this.departmentType = departmentType;
    }

    public List<DeptDatabaseBean> getSubDepartments() {
        return subDepartments;
    }

    public void setSubDepartments(List<DeptDatabaseBean> subDepartments) {
        this.subDepartments = subDepartments;
    }


}
