package com.tenlionsoft.baselib.core.beans;

import androidx.annotation.NonNull;

import java.util.List;

/**
 * 用户登录成功Bean
 */

public class UserLoginBean {

    /**
     * msg : 登录成功
     * state : 200
     * id :
     * data : {"token":"cm_865931028143154","lastLoginTime":"2018-12-11 09:54:48","name":"测试","postName":"科员","deptName":"业务科","fieldId":"295b8dfb428e4b82bbcf52d64a0395a5,1c9cda85a8be45d0938c085bcae8d9bb,4a8ed1caf8c14bdbbf574f901440ca8a","fieldIdList":[{"fieldName":"一监区","fieldStatus":"1","fieldId":"295b8dfb428e4b82bbcf52d64a0395a5"},{"fieldName":"二监区","fieldStatus":"1","fieldId":"1c9cda85a8be45d0938c085bcae8d9bb"},{"fieldName":"三监区","fieldStatus":"1","fieldId":"4a8ed1caf8c14bdbbf574f901440ca8a"},{"fieldName":"四监区","fieldStatus":"0","fieldId":"48fe646935544881bec074affa5cb931"},{"fieldName":"五监区","fieldStatus":"0","fieldId":"8b70f627180442daa2d5eed0aba1c85a"},{"fieldName":"六监区","fieldStatus":"0","fieldId":"9d15ffd0a6a3483b9810b914ef972828"},{"fieldName":"七监区","fieldStatus":"0","fieldId":"daa1f74479f84a8486ac6b7c21cc0940"},{"fieldName":"八监区","fieldStatus":"0","fieldId":"7552960d43d64853800df5afb9dc342a"},{"fieldName":"九监区","fieldStatus":"0","fieldId":"c485e9a808594393a2a8d7de564256d8"}],"menuConfigId":"277de0b6944e4e59b55d621a33850036,8d1c239a9b1c45a19e7bb797ade6aeb2","menuConfigIdList":[{"menuConfigId":"277de0b6944e4e59b55d621a33850036","menuConfigName":"点名权限","menuConfigStatus":"1","menuConfigCode":"callQx"},{"menuConfigId":"308ded9c1f934bf8b9f1c4039baff106","menuConfigName":"铺位调整权限","menuConfigStatus":"0","menuConfigCode":"berthQx"},{"menuConfigId":"682c6cff6f394dc8b2021c6dd8792fa0","menuConfigName":"服刑人员行走视频权限","menuConfigStatus":"0","menuConfigCode":"speakWalkVideoQx"},{"menuConfigId":"6aa2341c5a124e9dbb88aea38ccc9062","menuConfigName":"服刑人员考试权限","menuConfigStatus":"0","menuConfigCode":"examineQx"},{"menuConfigId":"85552023bb1244abbfae10ccbeecb506","menuConfigName":"工具回收权限","menuConfigStatus":"0","menuConfigCode":"toolBackQx"},{"menuConfigId":"8d1c239a9b1c45a19e7bb797ade6aeb2","menuConfigName":"工具发放权限","menuConfigStatus":"1","menuConfigCode":"toolOutQx"},{"menuConfigId":"93ea879fabaf42edafe0f7fd16c5dc42","menuConfigName":"岗位调整权限","menuConfigStatus":"0","menuConfigCode":"stationQx"},{"menuConfigId":"be53c1b95c6d448ea4316ff8f59df0d3","menuConfigName":"服刑人员头像权限","menuConfigStatus":"0","menuConfigCode":"frontPhotoQx"}],"username":"test","number":"2222","phone":"","userId":"47be2458174c41708742e6f74b3dac79","loginFlag":"1","status":"0"}
     * list : []
     */

    private String msg;
    private String state;
    private String id;
    private DataBean data;
    private List<?> list;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public List<?> getList() {
        return list;
    }

    public void setList(List<?> list) {
        this.list = list;
    }

    public static class DataBean {
        /**
         * token : cm_865931028143154
         * lastLoginTime : 2018-12-11 09:54:48
         * name : 测试
         * postName : 科员
         * deptName : 业务科
         * fieldId : 295b8dfb428e4b82bbcf52d64a0395a5,1c9cda85a8be45d0938c085bcae8d9bb,4a8ed1caf8c14bdbbf574f901440ca8a
         * fieldIdList : [{"fieldName":"一监区","fieldStatus":"1","fieldId":"295b8dfb428e4b82bbcf52d64a0395a5"},{"fieldName":"二监区","fieldStatus":"1","fieldId":"1c9cda85a8be45d0938c085bcae8d9bb"},{"fieldName":"三监区","fieldStatus":"1","fieldId":"4a8ed1caf8c14bdbbf574f901440ca8a"},{"fieldName":"四监区","fieldStatus":"0","fieldId":"48fe646935544881bec074affa5cb931"},{"fieldName":"五监区","fieldStatus":"0","fieldId":"8b70f627180442daa2d5eed0aba1c85a"},{"fieldName":"六监区","fieldStatus":"0","fieldId":"9d15ffd0a6a3483b9810b914ef972828"},{"fieldName":"七监区","fieldStatus":"0","fieldId":"daa1f74479f84a8486ac6b7c21cc0940"},{"fieldName":"八监区","fieldStatus":"0","fieldId":"7552960d43d64853800df5afb9dc342a"},{"fieldName":"九监区","fieldStatus":"0","fieldId":"c485e9a808594393a2a8d7de564256d8"}]
         * menuConfigId : 277de0b6944e4e59b55d621a33850036,8d1c239a9b1c45a19e7bb797ade6aeb2
         * menuConfigIdList : [{"menuConfigId":"277de0b6944e4e59b55d621a33850036","menuConfigName":"点名权限","menuConfigStatus":"1","menuConfigCode":"callQx"},{"menuConfigId":"308ded9c1f934bf8b9f1c4039baff106","menuConfigName":"铺位调整权限","menuConfigStatus":"0","menuConfigCode":"berthQx"},{"menuConfigId":"682c6cff6f394dc8b2021c6dd8792fa0","menuConfigName":"服刑人员行走视频权限","menuConfigStatus":"0","menuConfigCode":"speakWalkVideoQx"},{"menuConfigId":"6aa2341c5a124e9dbb88aea38ccc9062","menuConfigName":"服刑人员考试权限","menuConfigStatus":"0","menuConfigCode":"examineQx"},{"menuConfigId":"85552023bb1244abbfae10ccbeecb506","menuConfigName":"工具回收权限","menuConfigStatus":"0","menuConfigCode":"toolBackQx"},{"menuConfigId":"8d1c239a9b1c45a19e7bb797ade6aeb2","menuConfigName":"工具发放权限","menuConfigStatus":"1","menuConfigCode":"toolOutQx"},{"menuConfigId":"93ea879fabaf42edafe0f7fd16c5dc42","menuConfigName":"岗位调整权限","menuConfigStatus":"0","menuConfigCode":"stationQx"},{"menuConfigId":"be53c1b95c6d448ea4316ff8f59df0d3","menuConfigName":"服刑人员头像权限","menuConfigStatus":"0","menuConfigCode":"frontPhotoQx"}]
         * username : test
         * number : 2222
         * phone :
         * userId : 47be2458174c41708742e6f74b3dac79
         * loginFlag : 1
         * status : 0
         */

        private String token;
        private String lastLoginTime;
        private String name;
        private String postName;
        private String deptName;
        private String fieldId;
        private String menuConfigId;
        private String username;
        private String number;
        private String phone;
        private String userId;
        private String loginFlag;
        private String status;
        private List<FieldIdListBean> fieldIdList;
        private List<MenuConfigIdListBean> menuConfigIdList;
        private List<AreaListBean> areaList;
        private List<UseAppList> useAppList;

        public List<UseAppList> getUseAppList() {
            return useAppList;
        }

        public void setUseAppList(List<UseAppList> useAppList) {
            this.useAppList = useAppList;
        }

        public List<AreaListBean> getAreaList() {
            return areaList;
        }

        public void setAreaList(List<AreaListBean> areaList) {
            this.areaList = areaList;
        }


        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public String getLastLoginTime() {
            return lastLoginTime;
        }

        public void setLastLoginTime(String lastLoginTime) {
            this.lastLoginTime = lastLoginTime;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPostName() {
            return postName;
        }

        public void setPostName(String postName) {
            this.postName = postName;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getFieldId() {
            return fieldId;
        }

        public void setFieldId(String fieldId) {
            this.fieldId = fieldId;
        }

        public String getMenuConfigId() {
            return menuConfigId;
        }

        public void setMenuConfigId(String menuConfigId) {
            this.menuConfigId = menuConfigId;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getNumber() {
            return number;
        }

        public void setNumber(String number) {
            this.number = number;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getLoginFlag() {
            return loginFlag;
        }

        public void setLoginFlag(String loginFlag) {
            this.loginFlag = loginFlag;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public List<FieldIdListBean> getFieldIdList() {
            return fieldIdList;
        }

        public void setFieldIdList(List<FieldIdListBean> fieldIdList) {
            this.fieldIdList = fieldIdList;
        }

        public List<MenuConfigIdListBean> getMenuConfigIdList() {
            return menuConfigIdList;
        }

        public void setMenuConfigIdList(List<MenuConfigIdListBean> menuConfigIdList) {
            this.menuConfigIdList = menuConfigIdList;
        }

        public static class AreaListBean implements Comparable<AreaListBean> {
            private String area;
            private String areaName;
            private String orderBy;
            private String status;

            public String getArea() {
                return area;
            }

            public void setArea(String area) {
                this.area = area;
            }

            public String getAreaName() {
                return areaName;
            }

            public void setAreaName(String areaName) {
                this.areaName = areaName;
            }

            public String getOrderBy() {
                return orderBy;
            }

            public void setOrderBy(String orderBy) {
                this.orderBy = orderBy;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }


            @Override
            public int compareTo(@NonNull AreaListBean o) {
                return orderBy.compareToIgnoreCase(o.getOrderBy());
            }
        }

        public static class FieldIdListBean {
            /**
             * fieldName : 一监区
             * fieldStatus : 1
             * fieldId : 295b8dfb428e4b82bbcf52d64a0395a5
             */

            private String fieldName;
            private String fieldStatus;
            private String fieldId;
            private boolean isCheck;

            public boolean isCheck() {
                return isCheck;
            }

            public void setCheck(boolean check) {
                isCheck = check;
            }

            public String getFieldName() {
                return fieldName;
            }

            public void setFieldName(String fieldName) {
                this.fieldName = fieldName;
            }

            public String getFieldStatus() {
                return fieldStatus;
            }

            public void setFieldStatus(String fieldStatus) {
                this.fieldStatus = fieldStatus;
            }

            public String getFieldId() {
                return fieldId;
            }

            public void setFieldId(String fieldId) {
                this.fieldId = fieldId;
            }
        }

        public static class MenuConfigIdListBean {
            /**
             * menuConfigId : 277de0b6944e4e59b55d621a33850036
             * menuConfigName : 点名权限
             * menuConfigStatus : 1
             * menuConfigCode : callQx
             */

            private String menuConfigId;
            private String menuConfigName;
            private String menuConfigStatus;
            private String menuConfigCode;

            public String getMenuConfigId() {
                return menuConfigId;
            }

            public void setMenuConfigId(String menuConfigId) {
                this.menuConfigId = menuConfigId;
            }

            public String getMenuConfigName() {
                return menuConfigName;
            }

            public void setMenuConfigName(String menuConfigName) {
                this.menuConfigName = menuConfigName;
            }

            public String getMenuConfigStatus() {
                return menuConfigStatus;
            }

            public void setMenuConfigStatus(String menuConfigStatus) {
                this.menuConfigStatus = menuConfigStatus;
            }

            public String getMenuConfigCode() {
                return menuConfigCode;
            }

            public void setMenuConfigCode(String menuConfigCode) {
                this.menuConfigCode = menuConfigCode;
            }

            @Override
            public String toString() {
                return "MenuConfigIdListBean{" +
                        "menuConfigId='" + menuConfigId + '\'' +
                        ", menuConfigName='" + menuConfigName + '\'' +
                        ", menuConfigStatus='" + menuConfigStatus + '\'' +
                        ", menuConfigCode='" + menuConfigCode + '\'' +
                        '}';
            }
        }
    }

    public static class UseAppList {
        private String id;
        private String name;
        private String appPhotoPath;
        private String state;//1可以2禁止
        private int orders;
        private String bgColor;
        private int messageCount;//自定义未读消息的数量

        public int getMessageCount() {
            return messageCount;
        }

        public void setMessageCount(int messageCount) {
            this.messageCount = messageCount;
        }

        public String getBgColor() {
            return bgColor;
        }

        public void setBgColor(String bgColor) {
            this.bgColor = bgColor;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getAppPhotoPath() {
            return appPhotoPath;
        }

        public void setAppPhotoPath(String appPhotoPath) {
            this.appPhotoPath = appPhotoPath;
        }

        public String getState() {
            return state;
        }

        public void setState(String state) {
            this.state = state;
        }

        public int getOrders() {
            return orders;
        }

        public void setOrders(int orders) {
            this.orders = orders;
        }
    }
}
