package com.tenlionsoft.baselib.core.db.daos;

import com.tenlionsoft.baselib.core.db.beans.FoodFoodBean;
import com.tenlionsoft.baselib.core.db.beans.FoodPublishBean;

import java.util.List;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:44 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
@Dao
public interface FoodPublishDao {
    /**
     * 插入多个菜品
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(FoodPublishBean... beans);

    /**
     * 批量添加
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insertAll(List<FoodPublishBean> beans);

}
