package com.tenlionsoft.baselib.core.db.daos;

import com.tenlionsoft.baselib.core.db.beans.FoodSubscribeFoodBean;
import com.tenlionsoft.baselib.core.db.beans.UserAccountItemBean;

import java.util.List;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:48 下午
 * 邮箱: itgaojian@163.com
 * 描述: 用户消费记录
 */
@Dao
public interface UserAccountItemDao {
    /**
     * 插入多个菜品
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(UserAccountItemBean... beans);

    /**
     * 批量添加
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insertAll(List<UserAccountItemBean> beans);
}
