package com.tenlionsoft.oamodule.holder;

import android.view.View;
import android.widget.TextView;

import com.tenlionsoft.oamodule.R2;

import org.jetbrains.annotations.NotNull;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * 作者: adam
 * 日期: 2022/4/13 - 11:08 上午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class ByCarRecordHolder extends RecyclerView.ViewHolder {
    @BindView(R2.id.tv_driver)
    public TextView mTvDriver;
    @BindView(R2.id.tv_car)
    public TextView mTvCar;
    @BindView(R2.id.tv_start_time)
    public TextView mTvStartTime;
    @BindView(R2.id.tv_end_time)
    public TextView mTvEndTime;
    @BindView(R2.id.tv_passenger)
    public TextView mTvPassenger;
    @BindView(R2.id.tv_state)
    public TextView mTvState;

    public ByCarRecordHolder(@NonNull @NotNull View itemView) {
        super(itemView);
        ButterKnife.bind(this, itemView);
    }
}
