package com.tenlionsoft.baselib.constant;


import com.tenlionsoft.baselib.core.beans.SubtitleLanguage;

public class Constant {
    /**
     * 主页面跳转
     */
    public static final int FRAGMENT_MEETING = 0;
    public static final int FRAGMENT_CONTACTS = 1;
    public static final int FRAGMENT_MINE = 2;
    /**
     * 会议设置 1
     */
    public static final int MEETING_SETTING_1 = 1;
    public static final int MEETING_SETTING_2 = 2;
    public static final int MEETING_SETTING_3 = 3;
    /**
     * 服务器设置 1
     */
    public static final int SERVER_SETTING_1 = 1;
    /**
     * 加入会议  1登录加入会议
     */
    public static final int JOIN_MEETING_1 = 1;

    /**
     * 跳转本地通讯录，显示sheet页面
     */
    public static final int CONTACT_ADAPTER_LOCAL = 1;

    /**
     * 企业通讯录
     */
    public static final int CONTACT_ADAPTER_COMPANY = 2;

    public static final int CONTACT_ADAPTER_MAIN = 3;

    public static final int INVITE_CONTACT = 4;

    public static final int CONTACT_ADAPTER_ADD = 5;

    public static final int INVITE_COMPANY_CONTACT = 6;

    public static final int CONTACT_RECENT_CALLS = 7;

    public static final String CONTACT_ADAPTER_ADD_content = "ldapContactsInfo";

    public static final int VOICE_CONF_COMING = 1;

    /**
     * 音频会议进行中
     */
    public static final int VOICE_CONF_ING = 2;

    /**
     * 视频会议来电
     */
    public static final int CONF_VIDEO_COMING = 4;

    //点对点语音主叫
    public static final int POINT_CALL = 5;
    //点对点语音被叫
    public static final int POINT_CALLED = 6;
    //点对点视频已连接
    public static final int POINT_CONNECTED = 7;
    //点对点视频主叫
    public static final int POINT_VIDEO = 8;
    //点对点视频被叫
    public static final int POINT_VIDEOED = 9;

    public static final int VOICE_ACCESS_CONF_ING = 10;

    public static final int PIC_ADD = 20;

    public static final int PIC_DELETE = 21;

    //加入语音会议
    public static final int VOICE_LIST_JOIN = 11;

    /**
     * 授权联系人被拒
     */
    public static final int MEETING_TYPE = 105;
    public static final int UPDATE_VOICE = 10;
    public static final String CONF_LIST_DATA = "conf_list_data";
    public static final int UPDATE_CONF_CONNECT = 12;
    public static final int CALL_UPDATE_VOICE = 13;
    public static final int UPDATE_CALL_CONNECT = 14;
    public static final String CALLED_NAME = "called_name";
    public static final int CALL_VOICE_GOING = 15;
    public static final int CALL_VIDEO_GOING = 16;
    public static final String DIAL = "dial";
    public static final int VIDEO_CLOSE = 17;
    public static final String VIDEO_CALL_NUM = "video_call_num";
    public static final int BOOK_CONF_LIST = 18;
    public static final int ACTION_VIDEO_TO_AUDIO = 19;
    public static final int CALL_UPGRADE_ACTION = 20;
    public static final int OPEN_VIDEO = 21;
    public static final int REFUSE_OPEN_VIDEO = 23;

    /**
     * 单向直播
     */
    public static final int AUDIT_DIR = 101;


    public static final int RECEIVED_MOBILE_CALL = 200;

    public static final int END_MOBILE_CALL = 201;

    /**
     * 修改VMR密码错误码
     */
    public static final int UPDATE_VMR_PWD_ERROR_CODE2 = 67109102;

    /**
     * 发起或预约会议修改VMR密码错误码
     */
    public static final int UPDATE_VMR_PWD_ERROR_CODE1 = 67109101;

    /**
     * 发起或预约会议失败错误码
     */
    public static final int BOOK_MEETING_ERROR_CODE = 67109096;

    public static final String SHOW_NO_NET_DIALOG_INFO = "showNoNetDialogInfo";
    public static final String BOOK_CONF_LIST_DATA = "book_conf_list_data";
    public static final String INVITE_CONF_LIST_DATA = "invite_conf_list_data";
    public static final String VOICE_CALL_NUM = "voice_call_num";
    public static final String CONF_IS_COMING = "conf_is_coming";
    public static final int UPDATE_VIDEO_STATUS = 22;
    public static final String CONF_IS_CONNECT = "conf_is_connect";
    public static final String LOGIN_SERVER_SIP_URL = "login_server_sip_url";
    public static final String UPD_TLS = "upd_tls";
    public static final String SIPNUMBER = "sipnumber";
    public static final String BFCP_TRANSPORT_MODE = "bfcpTransportMode";
    public static final String IS_OPEN_GM = "isOpenGm";
    public static final String IS_AGREE_RISK_GUEST_PWD_RANDOM_WARNING = "isAgreeRiskGuestPwdRandomWarning";
    public static final String IS_AGREE_RISK_PERSONAL_ID_WARNING = "isAgreeRiskPersonalId";
    public static final String IS_AGREE_RISK_CHAIRMAN_PWD_WARNING = "isAgreeRiskChairmanPwd";
    public static final String IS_AGREE_RISK_GUEST_PWD_WARNING = "isAgreeRiskGuestPwd";
    public static final int AUX_DATA = 25;
    public static final String VMR_TITLE = "vir_title";
    public static final String VMR_ACCESSNUMBER = "vmr_acceddnumber";
    public static final String VMR_CHAIRMANPWD = "vmr_chairmanpwd";
    public static final String VMR_GUESTPWD = "vmr_guestpwd";
    public static final String VMR_CONF_ID = "vmr_conf_id";
    public static final String VMR_SIP_NUMBER = "vmr_sip_number";
    public static final String IS_FIRST_IN = "is_first_in";
    public static final String IS_FROM_SPALSH = "is_from_spalsh";
    public static final String ALL_TEXT = "all_text";
    public static final String WATCH_MEMBER = "watch_member"; //选看成员
    public static final String IS_WATCH_MEMBER = "is_watch_member"; //是否选看
    public static final String IS_BROAD_MEMBER = "is_broad_member"; //是否有广播
    public static final String IS_SVC_MEETING = "is_svc_meeting"; //是否是SVC会议
    public static final String IS_CLOSE_AUX = "is_close_aux";//开关控制共享的时候进自己应用关不关辅流
    public static final String IS_AUX = "isAuxData"; //是否有辅流
    public static final String IS_FROM_ATTENDEELIST = "is_from_attendeelist"; //是否有辅流
    public static final String ID = "id";
    public static final String MINE_USER_NAME = "mine_user_name";
    public static final String HOWL_AUTO_MUTE = "howl_auto_mute";
    public static final String CHOOSE_ARRAY = "choose_array";
    public static final String CHOOSE_POSITION = "choose_position";
    public static final String CHOOSE_TITLE = "choose_title";
    public static final String INITIATE_VMR = "initiate_vmr";
    public static final int CHOOSE_CODE1 = 10001;
    public static final int CHOOSE_CODE2 = 10002;
    public static final int CHOOSE_CODE_ZONE = 10003;
    public static final String ACTION_HEADSET_PLUG = "action_headset_plug";
    //手动打开或者隐藏悬浮窗
    public static final String SPONSOR_MEETING_WATCH_MEMBER = "sponsor_meeting_watch_member";//选看成功
    /**
     * 广播
     */
    public static final String SPONSOR_MEETING_BROAD_MEMBER = "sponsor_meeting_broad_member";//广播成功
    public static final String SPONSOR_MEETING_BROAD_MEMBER_CANCEL = "sponsor_meeting_broad_member_cancel";//广播取消
    /**
     * 点名
     */
    public static final String SPONSOR_MEETING_ROLL_MEMBER = "sponsor_meeting_roll_member";//点名成功
    public static final String SPONSOR_MEETING_REFLUSHED = "sponsor_meeting_reflushed";//与会者列表被动刷新的时候，SVC大画面 选看/点名/广播 所展示内容
    public static final String MEETING_DESTORY = "meeting_destory"; //会议销毁
    /**
     * 是否关闭摄像头
     */
    public static final String IS_CLOSE_VIDEO = "is_close_video"; // 是否关闭摄像头
    public static final String IS_MINIMIZE_CLICK = "is_minimize_click";
    public static final int REQUEST_IGNORE_BATTERY_OPTIMIZATIONS = 102;
    public static final String LDAP_CONTACTS_INFO = "ldapContact";
    public static final String IS_COLLECTION_CONTACT = "MailContact";
    public static final String IS_LOCAL_ADD_CONTACT = "LocalContact";
    public static final String CONTACTS_TYPE = "contacts_type";
    public static final String IS_VIBRATION = "is_vibration";
    public static final String IS_RECEIVING_RING = "is_receiving_ring";
    public static final String AUX = "aux";
    public static final boolean END_CALL = true;

    public static String LOGIN_ACCOUNT = "login_account";
    public static String ANONYMOUS = "anonymous";
    public static String SERVICE_TYPE = "service_type";
    public static String USER_TYPE = "user_type";
    public static String AUTH_TYPE = "auth_type";
    public static String IS_LOGOUT = "is_logout";
    public static String IS_NO_STREAM_DURATION = "is_no_steam_duration";
    public static String DEVICE_ID = "device_id";
    public static boolean IS_BACK_MINIMIZE = false;
    public static boolean IS_SHOW_PARTICIPANTS = false;

    public static String DEFINITION_SETTING = "definition_setting";
    public static int WATCH_ATTENDEE_REQUEST_CODE = 1004;


    // 与会者列表操作事件广播，用来通知会议界面
    public static String WATCH_MYSELF_CAMERA_STATE = "watch_myself_camera_state";
    /**
     * 点对点
     */
    public static final int POP_CALL_VIDEO = 0x0101;
    /**
     * 主席
     */
    public static final int POP_IS_CHAIRMAN = 0x0111;
    /**
     * 非主席
     */
    public static final int POP_IS_NOT_CHAIRMAN = 0x1000;
    /**
     * 主席密码
     */
    public static final String MEETING_CHAIRMAN = "meeting_chairman";

    public static final String SCREEN_OFF = "screen_off";

    public static final int NAME_CHARACTER_LENGTH_192 = 192;

    /**
     * 登录结果枚举类
     */
    public enum LoginUIEvent {

        VOIP_LOGIN_SUCCESS(),

        LOGIN_FAILED(),

        AUTH_FAILED(),

        FIREWALL_DETECT_FAILED(),

        BUILD_STG_FAILED(),

        LOGOUT(),

        FIRST_CHANGE_PWD(),

        CHANGE_PWD()
    }

    /**
     * 服务器登录地址
     */
    public static final String LOGIN_SERVER_ADDRESS = "login_server_address";

    /**
     * 服务器端口
     */
    public static final String LOGIN_SERVER_PORT = "login_server_port";

    /**
     * Https Port
     */
    public static final String LOGIN_SERVER_HTTPSPORT = "login_server_httpsport";

    /**
     * 服务器地址是否变更
     */
    public static final String LOGIN_SERVER_CHANGE = "login_server_change";

    /**
     * 判断是否匿名链接入会
     */
    public static final String JOIN_MEETING_NOLOGIN = "join_meeting_nologin";
    /**
     * 判断是否处于匿名链接入会中,此时不允许用户点击登录
     */
    public static final String JOIN_MEETING_NOLOGIN_ING = "join_meeting_nologin_ing";

    /**
     * 判断3.0日志是否正在上传状态（true正在上传，false非上传状态）
     */
    public static final String FEEDBACK_UPDATE_3 = "feedback_update_3";

    public static final String LOGIN_SERVER_SRTP_MODE = "login_server_srtp_mode";

    public static final String IS_VIDEO_CONF = "is_video_conf";
    public static final String IS_AUTO_LOGIN = "is_auto_login";

    public static final String CAMERAM_STATE = "camera_state";

    public static final String CAMERA_INDEX = "camera_index";

    public static final String CONF_ID = "conf_id";

    public static final String IS_AUTO_JUMP = "isAutoJump";

    public static final String MY_CONF_INFO = "my_conf_info";

    public static String TEMP_CONF_INFO = "";

    public static final String CONF_INFO = "conf_info";

    public static final String IS_VMR_2_ID = "is_vmr_2.0_id";

    public static final String IS_VMR_3_ID = "is_vmr_3.0_id";

    public static final String CONF_TEMPORARY = "conf_temporary";

    public static final String CALL_INFO = "call_info";

    public static final String CALL_VIDEO_TO_VOICE = "call_video_to_voice";

    public static final String LOGIN_SERVER_PROXY_SWITCH_STATE = "login_server_proxy_switch_state";

    public static final String LOGIN_SERVER_SECRET_SWITCH_STATE = "login_server_secret_switch_state";

    public static final String LOGIN_SERVER_TLS_MODE_SWITCH_STATE = "login_server_TLS_mode_switch_state";

    public static final String SERVER_PORT = "5061";

    /**
     * 来宾密码开关标志
     */
    public static final String IS_GUEST_SWITCH_OPEN = "is_guest_switch_open";

    /**
     * 主席密码开关标志
     */
    public static final String IS_CHAIRMAN_SWITCH_OPEN = "is_chairman_switch_open";

    /**
     * 判断是否是Vmr标志
     */
    public static final String IS_VMR = "is_vmr";
    /**
     * 判断是否修改密码
     */
    public static final String CHANGE_PWD = "change_pwd";
    /**
     * 判断联系人图标索引
     */
    public static final String CONTACT_INDEX = "contact_index";

    /**
     * 判断联系人背景颜色所用
     */
    public static final String CONTACT_BG_COLOR_INDEX = "contact_bg_color_index";

    /**
     * 密码置空字符串
     */
    public static final String PASSWORD_NULL_STRING = "";

    /**
     * 空格字符串
     */
    public static final String SPACE_STRING = " ";
    /**
     * 广播action
     */

    public static final String BROADCAST_ACTION_STOP_SHARE = "action_stop_share";

    /**
     * 进入语音会议页面的type
     * 1：语音会议来电通知
     * 2.语音会议进入页面
     * 3.点对点呼叫进入
     * 4.视频会议来电通知
     */
    public static final String VOICE_JOIN_TYPE = "VOICE_JOIN_TYPE";

    /**
     * 与会者枚举类
     */
    public enum ParticipantEvent {

        REQUEST_CHAIRMAN_SUCCESS(),

        REQUEST_CHAIRMAN_FAILED(),

        RELEASE_CHAIRMAN_FAILED(),

        RELEASE_CHAIRMAN_SUCCESS(),
    }


    /**
     * 网络异常 提示最大值  [0,5] 0 ：最差,5:最好
     */
    public static final int NET_LEVEL_MIN_TOAST = 3;
    /**
     * 网络  toast 间隔时间  单位:  毫秒
     */
    public static final int NET_LEVEL_MIN_TOAST_INTERVAL = 1 * 30 * 1000;

    /**
     * 申请会议主席 result
     */
    public static final String REQUEST_CHAIRMAN_SUCCESS = "result_action_request_chairman_success";

    /**
     * 记录2.0发起会议自己输入的主席密码，用来2.0申请主席使用
     */
    public static final String CHAIRMANPWD_SMC_2 = "chairmanpwd_smc_2";

    /**
     * 判断2.0是否是自己创建的会议
     */
    public static final String CREATE_MEETING_SMC_2 = "create_meeting_smc_2";

    /**
     * 关闭无码流弹框
     */
    public static final String NO_DURATION_DIALOG_CLOSE = "noduration_dialog_close";

    public static  boolean DownLoadDialogIsShow = false;

    public static final int MEETING_HIGH_SETTING_CODE = 10005;

    public static final String MEETING_HIGH_SETTING_VIDEO = "isVideo";

    public static final String MEETING_HIGH_SETTING_AUDIO = "isAudio";

    public static final String MEETING_HIGH_SETTING_SUBTITLE = "isSubtitle";

    public static final String MEETING_HIGH_SETTING_SUBTITLE_LANGUAGE = "subtitle_language";

    public static final String MEETING_HIGH_SETTING_TYPE_VIDEO = "isVideoConf";

    public static final String MEETING_CAPTION_ENABLE = "isSubtitleEnable";

    public static final String MEETING_CONF_CAPTION_ENABLE = "isConfSubtitleEnable";

    public static final String MEETING_CONF_CAPTION_SHOWING = "isSubtitleShowing";

    public static final SubtitleLanguage[] LANGUAGE_LIST_DATA = {
        new SubtitleLanguage(1, "中文"),
        new SubtitleLanguage(0, "English")};

    public static final String MEETING_CONF_CONTROL_ENABLE = "isConfControlEnable";
}
