package com.tenlionsoft.baselib.constant;

/**
 * 作者: adam
 * 日期: 2021/11/15 - 10:10 上午
 * 邮箱: itgaojian@163.com
 * 描述: 各类状态码
 */
public class StatusCode {
    //============视图状态==========
    public static final int VIEW_STATE_SUCCESS = 0x1234;//加载成功
    public static final int VIEW_STATE_ERROR_SERVER = 0x1234;//接口错误
    public static final int VIEW_STATE_ERROR_NET = 0x1234;//网络错误
    public static final int VIEW_STATE_EMPTY = 0x1234;//空数据
    public static final int VIEW_STATE_LOADING = 0x1234;//加载中
    //请求码
    public static final int REQUEST_CODE_IMG = 0x1234;
    public static final int REQUEST_CODE_VIDEO = 0x2234;
    public static final int REQUEST_CODE_FILE = 0x3234;
    /*============Socket信息码====================*/
    public static final String SESSION_ID = "sessionId";
    public static final int MSG_REGISTER = 1000;//注册socket

    //聊天信息
    public static final int MSG_TYPE_TEXT = 2001;//聊天消息 文本信息
    public static final int MSG_TYPE_HREF = 2002;//聊天消息 链接消息
    public static final int MSG_TYPE_IMAGE = 2003;//聊天消息 图片消息
    public static final int MSG_TYPE_FILE = 2004;//文件
    public static final int MSG_TYPE_AUDIO = 2005;//聊天消息 音频
    public static final int MSG_TYPE_VIDEO = 2006;//聊天消息 视频

    public static final int MSG_STATE_USER_OFFLINE_TXT = 411;//发送文本消息用户不在线
    public static final int MSG_STATE_USER_OFFLINE_CALL = 412;//发送实时语音用户不在线

    public static final int MSG_TYPE_NOTIFY_LOGIN = 11002;//通知对方登录 华为实时通讯呼叫
    public static final int MSG_TYPE_USER_NO_SUPPORT = 11401;//华为实时通讯呼叫不支持
    public static final int MSG_TYPE_USER_LOGIN_FAILED = 11402;//华为实时通讯呼叫登录失败
    public static final int MSG_TYPE_USER_LOGIN_SUCCESS = 11201;//华为实时通讯呼叫登录成功
    public static final int MSG_TYPE_NOTIFY_LOGOUT = 11403;   //通知对方退出登录


    public static final int MSG_TYPE_POINT = 11001;//发送定位信息
    public static final int MSG_NOTICE = 3001;//系统通知
    public static final int MSG_CHAT = 232432;//聊天信息
    public static final int MSG_NOTICE_TARGET = 3003;//系统带参数的通知
    public static final int MSG_TYPE_STATE = 9001;//消息发送的状态
    public static final int MSG_GROUP_MESSAGE = 102;
    public static final int MSG_SYSTEM_MESSAGE = 103;
    public static final int MSG_SYSTEM_GROUP_MESSAGE = 104;
    public static final int MSG_SYSTEM_TARGET_MESSAGE = 105;

    public static final int MSG_NOTICE_GROUP = 107;

    public static final int MSG_SEND_STATUS = 1100;
    public static final int MSG_UPCOMING = 602;//待办
    public static final int MSG_DONE = 501;//已办
    public static final int NOTIFY_ID = 9999;//通知栏ID

    public static final String KEY_MSG_FROM = "msgBody";
    public static final String KEY_UPCOMING_SYS_DATA = "upcomingMsgSys";
    public static final String PUSH_DATA_KEY = "pushDataKey";//websocket推送过来的消息 key

}
