package com.tenlionsoft.baselib.core.db.daos;

import com.tenlionsoft.baselib.core.db.beans.FoodPublishBean;
import com.tenlionsoft.baselib.core.db.beans.FoodPublishFoodBean;

import java.util.List;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;
import io.reactivex.rxjava3.core.Flowable;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:46 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
@Dao
public interface FoodPublishFoodDao {
    /**
     * 插入多个菜品
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(FoodPublishFoodBean... beans);

    /**
     * 批量添加
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insertAll(List<FoodPublishFoodBean> beans);

}
