package com.tenlionsoft.baselib.core.db.daos;

import com.tenlionsoft.baselib.core.db.beans.FoodSubscribeBean;
import com.tenlionsoft.baselib.core.db.beans.FoodSubscribeFoodBean;

import java.util.List;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:47 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
@Dao
public interface FoodSubscribeFoodDao {
    /**
     * 插入多个菜品
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(FoodSubscribeFoodBean... beans);

    /**
     * 批量添加
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insertAll(List<FoodSubscribeFoodBean> beans);
}
