package com.tenlionsoft.baselib.core.retrofit_net;

/**
 * 作者 : Adam on 2018/12/5.
 * 邮箱 : itgaojian@163.com
 * 描述 : 项目基础IP配置,
 */
public class BaseUrlApi {

    public static final String IP = "http://192.168.0.120:8080/";/* 测试IP */
    //    public static final String IP = "http://10.25.242.183:80/";/* 测试IP */
//    public static final String IP = "http://www.wlcbsyzl.cn/";/* 正式IP */
    public static final String SYS_USERCENTER = "usercenter/";
    public static final String SYS_POPULATION = "population/";/*人口系统*/
    public static final String SYS_CASE = "case/";/*事件部件*/
    public static final String SYS_HOUSE = "house/";/*房屋系统*/
    public static final String SYS_SECURITY = "manage/";/*社会治安*/
    public static final String SYS_TASK = "task/";/*任务系统*/
    public static final String SYS_LIBRARY = "library/";/*知识库系统*/
    public static final String SYS_VISITS = "visits/";/*信访系统*/
    public static final String SYS_OA = "systemoa/";/*OA系统*/

    public static final String BASE_MAIN_IP = IP + SYS_USERCENTER;
    public static final String BASE_CASE_IP = IP + SYS_CASE;
    public static final String BASE_LIBRARY_IP = IP + SYS_LIBRARY;
    public static final String BASE_TASK_IP = IP + SYS_TASK;
    public static final String BASE_PERSON_IP = IP + SYS_POPULATION;
    public static final String BASE_HOUSE_IP = IP + SYS_HOUSE;
    public static final String BASE_SECURITY_IP = IP + SYS_SECURITY;
    public static final String BASE_VISITS_IP = IP + SYS_VISITS;
    public static final String BASE_OA = IP + SYS_OA;
    //    public static final String BASE_URL = BASE_MAIN_IP;//基础URL
    public static final String BASE_URL = BASE_OA;//基础URL

    public static final String SOCKET_IP = IP + "websocket";/* SocketIP */


    public static final String BASE_IMG_URL = BASE_URL + "route/file/download/true/";
    public static final String APK_DOWNLOAD_URL = "downloadUrl";
    public static final String UPDATE_URL = "version.json";

    //请求码
    public static final int PHOTO_REQUEST = 0x2121;//相册图片
    public static final int CAMERA_REQUEST = 0x2222;//相机图片

    public static final int CAMERA_REQUEST_VIDEO = 0x2223;//相机视频
    public static final int CAMERA_REQUEST_PHOTO = 0x2224;//相册视频

    public static final String BASE64_TITLE = "data:image/jpg;base64,";


    public static final String SMART_CONSULT_URL = "https://www.cispirit.com/IntelligentConsulting";

        public static final String APP_VERSION_ID = "2939f6a7-ae98-4e64-8298-200f83523d1a";/*测试App下载码*/
//    public static final String APP_VERSION_ID = "c16826e7-8cfb-4db1-8844-09d2be697bc7";/* 155 测试App下载码*/
//    public static final String APP_VERSION_ID = "912bf7eb-5c89-4dbf-8835-de2474a029a6";/*正式App下载码*/

    /*======百度定位city-code=======*/
    public static final String CITY_BAIDU_CODE = "168";//乌兰察布市
    //    public static final String CITY_BAIDU_CODE = "321";//呼和浩特市
    public static final String APP_DOWNLOAD_URL = BASE_URL + "app/appversion/download/" + APP_VERSION_ID;

}
