package com.tenlionsoft.oamodule.holder;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.tenlionsoft.oamodule.R2;

import org.jetbrains.annotations.NotNull;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * 作者: adam
 * 日期: 2022/4/14 - 15:46
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class BasePersonShowHolder extends RecyclerView.ViewHolder {
    @BindView(R2.id.tv_name)
    public TextView mTvName;
    @BindView(R2.id.iv_user_icon)
    public ImageView mIvUserIcon;
    @BindView(R2.id.iv_del)
    public ImageView mIvDel;

    public BasePersonShowHolder(@NonNull @NotNull View itemView) {
        super(itemView);
        ButterKnife.bind(this, itemView);
    }
}
